%----------------------------------------------
DATA_PATH = '~/science/data/segmentation';   % SET THIS PATH TO WHERE YOU HAVE DATA!
%----------------------------------------------


global CLASS_NAME;   % default is 'car', you can also put numbers and the corresponding class from list below will be taken
dataset_classes = {'car', 'bed', 'armchair', 'sofa', 'table', 'cabinet'};

if numel(CLASS_NAME) == 0
   CLASS_NAME = dataset_classes{1};
end;
if isinteger(CLASS_NAME) | isfloat(CLASS_NAME)
    try
       CLASS_NAME = dataset_classes{CLASS_NAME};
    end;
end;


% links to CAD models dataset
CAD_MODELS_PATH = fullfile(DATA_PATH, 'CAD', CLASS_NAME);

% PASCAL dataset
if ~exist('VOC_year', 'var')
   VOC_year = '2010';
end;
VOC_ROOT = fullfile(DATA_PATH, 'voc');
VOC_CODE_PATH = fullfile(VOC_ROOT, ['VOC' VOC_year], 'VOCdevkit');
%VOC_PATH = fullfile(VOC_ROOT, ['VOC' VOC_year], 'JPEGImages');
%VOC_ANNOTATION_PATH = fullfile(VOC_ROOT, ['VOC' VOC_year], 'Annotations');
VOC_ROOT = fullfile('C:\science\data\segmentation\PASCAL10\');
VOC_PATH = fullfile(VOC_ROOT, 'Images');
VOC_GT_PATH = fullfile(VOC_ROOT, 'Groundtruth');
VOC_ANNOTATION_PATH = fullfile(VOC_ROOT, 'Annotations');
mpath = matlabpath;
if ~numel(findstr(lower(mpath), lower(VOC_CODE_PATH))) & exist(VOC_CODE_PATH, 'dir'), addpath(VOC_CODE_PATH); end;
VOCSENT_ROOT = fullfile(DATA_PATH, 'UIUC');
VOCSENT_PATH = fullfile(VOCSENT_ROOT, 'Images');
VOCSENT_GT_PATH = fullfile(VOCSENT_PATH, '..', 'Groundtruth');
VOCSENT_ANNOTATION_PATH = fullfile(VOCSENT_PATH, '..', 'Annotations');

% MRSC dataset
MRSC_ROOT = fullfile(DATA_PATH, 'MSRC');
MRSC_PATH = fullfile(MRSC_ROOT, 'Images');
MRSC_TRAIN_PATH = fullfile(MRSC_ROOT, 'train');
MRSC_TEST_PATH = fullfile(MRSC_ROOT, 'test');
%MRSC_ANNOTATION_PATH = fullfile(MRSC_PATH, '..', 'GroundTruth');
MRSC_GT_PATH = fullfile(MRSC_PATH, '..', 'Data', 'cleanMSRC', 'GroundTruth');
MRSC_ANNOTATION_PATH = fullfile(MRSC_PATH, 'Anontations');

if ~exist('DATASET_NAME', 'var')
    DATASET_NAME = 'mrsc';
end;    
    
if exist('DATASET_NAME', 'var')
    switch DATASET_NAME
        case 'voc'
            DATASET_ROOT = VOC_ROOT;
            IMAGES_PATH = VOC_PATH;
            ANNOTATION_PATH = VOC_GT_PATH;
        case 'vocsent'
            DATASET_ROOT = VOCSENT_ROOT;
            IMAGES_PATH = VOCSENT_PATH;
            IMAGES_TEST_PATH = VOCSENT_PATH;
            ANNOTATION_PATH = VOCSENT_GT_PATH;
        case 'mrsc'
            DATASET_ROOT = MRSC_ROOT;
            IMAGES_PATH = MRSC_PATH;
            IMAGES_TEST_PATH = MRSC_TEST_PATH;
            ANNOTATION_PATH = MRSC_GT_PATH;
        case 'mindseye'
            IMAGES_PATH = 'C:\science\data\mindseye\C-D2a\training';
            IMAGES_TEST_PATH = IMAGES_PATH;
            ANNOTATION_PATH = fullfile(IMAGES_PATH, 'Annotations');
    end;
end;

%ANNOTATION_OBJ_PATH = fullfile(IMAGES_PATH, '..', 'Annotations_ours'); 
if ~strcmp(DATASET_NAME, 'mindseye')
   ANNOTATION_OBJ_PATH = fullfile(IMAGES_PATH, '..', 'Annotations'); 
else
    ANNOTATION_OBJ_PATH = ANNOTATION_PATH; 
end;

ALLPATHS.IMAGES_PATH = IMAGES_PATH;
ALLPATHS.IMAGES_TEST_PATH = IMAGES_TEST_PATH;
ALLPATHS.GT_PATH = ANNOTATION_PATH;
ALLPATHS.ANNOTATION_PATH = ANNOTATION_OBJ_PATH;

try
[classinfo, gtcols] = getclassinfo('voc');
ALLPATHS.classes = classinfo;
ALLPATHS.gtcols = gtcols;
ALLPATHS.DATASET_NAME = DATASET_NAME;
end;